package com.vendor.loader.struct;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.loader.struct.FlashType;
import com.vendor.loader.struct.UpgradeFileInfo;

public class PartFileHeader {
  private int burnAddr;
  
  private int uPartitionEndAddr;
  
  public FlashType uFlashType;
  
  private int lFlashIndex;
  
  private long fileSize;
  
  private int flagNumber;
  
  private int checksum;
  
  private int u32Crc;
  
  private int reserved;
  
  public void init(UpgradeFileInfo f) {
    this.fileSize = f.getFileLength();
    this.burnAddr = (int)f.getStartAddress();
    this.uPartitionEndAddr = (int)f.getEndAddress();
    this.uFlashType = f.getFlashType();
    this.lFlashIndex = f.getFlashIndex();
  }
  
  public int getBurnAddr() {
    return this.burnAddr;
  }
  
  public void setBurnAddr(int burnAddr) {
    this.burnAddr = burnAddr;
  }
  
  public int getuPartitionEndAddr() {
    return this.uPartitionEndAddr;
  }
  
  public void setuPartitionEndAddr(int uPartitionEndAddr) {
    this.uPartitionEndAddr = uPartitionEndAddr;
  }
  
  public FlashType getuFlashType() {
    return this.uFlashType;
  }
  
  public void setuFlashType(FlashType uFlashType) {
    this.uFlashType = uFlashType;
  }
  
  public int getlFlashIndex() {
    return this.lFlashIndex;
  }
  
  public void setlFlashIndex(int lFlashIndex) {
    this.lFlashIndex = lFlashIndex;
  }
  
  public long getFileSize() {
    return this.fileSize;
  }
  
  public void setFileSize(int fileSize) {
    this.fileSize = fileSize;
  }
  
  public int getFlagNumber() {
    return this.flagNumber;
  }
  
  public void setFlagNumber(int flagNumber) {
    this.flagNumber = flagNumber;
  }
  
  public int getChecksum() {
    return this.checksum;
  }
  
  public void setChecksum(int checksum) {
    this.checksum = checksum;
  }
  
  public int getU32Crc() {
    return this.u32Crc;
  }
  
  public void setU32Crc(int u32Crc) {
    this.u32Crc = u32Crc;
  }
  
  public int getReserved() {
    return this.reserved;
  }
  
  public void setReserved(int reserved) {
    this.reserved = reserved;
  }
}
